<!DOCTYPE html>
<!--
To change this license header, choose License Headers in Project Properties.
To change this template file, choose Tools | Templates
and open the template in the editor.
-->
<html>
    <head>
        <title>TODO supply a title</title>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
    </head>
    <body>
        <div>TODO write content</div>
    </body>
    
<script src="https://www.gstatic.com/firebasejs/3.6.1/firebase.js"></script>
<script>
  // Initialize Firebase
  var config = {
    apiKey: "AIzaSyDwXXDho5ogG5dqqouMLC2tWe_0xkfN9tw",
    authDomain: "test-2c579.firebaseapp.com",
    databaseURL: "https://test-2c579.firebaseio.com",
    storageBucket: "test-2c579.appspot.com",
    messagingSenderId: "222886746942"
  };
  firebase.initializeApp(config);
  
  const messaging = firebase.messaging();
  messaging.requestPermission()
          .then(function() {
              console.log('Have permission');
              return messaging.getToken();
  })
          .then(function(token) {
              console.log(token);
  })
          .catch(function(err) {
              console.log('Error occured : ');
  })
  
  messaging.onMessage(function(payload) {
      console.log('onMessage: ', payload)
  })
</script>
</html>
